VkAllocationCallbacks Struct Reference

`#include <vulkan.h>`

## Data Fields

void * | pUserData
PFN_vkAllocationFunction | pfnAllocation
PFN_vkReallocationFunction | pfnReallocation
PFN_vkFreeFunction | pfnFree
PFN_vkInternalAllocationNotification | pfnInternalAllocation
PFN_vkInternalFreeNotification | pfnInternalFree

## Detailed Description

Definition at line 1419 of file vulkan.h.

## Field Documentation

## pfnAllocation

PFN_vkAllocationFunction VkAllocationCallbacks::pfnAllocation

Definition at line 1421 of file vulkan.h.

## pfnFree

PFN_vkFreeFunction VkAllocationCallbacks::pfnFree

Definition at line 1423 of file vulkan.h.

## pfnInternalAllocation

PFN_vkInternalAllocationNotification VkAllocationCallbacks::pfnInternalAllocation

Definition at line 1424 of file vulkan.h.

## pfnInternalFree

PFN_vkInternalFreeNotification VkAllocationCallbacks::pfnInternalFree

Definition at line 1425 of file vulkan.h.

## pfnReallocation

PFN_vkReallocationFunction VkAllocationCallbacks::pfnReallocation

Definition at line 1422 of file vulkan.h.

## pUserData

void* VkAllocationCallbacks::pUserData

Definition at line 1420 of file vulkan.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.h